lkml.org 
[lkml]   [2018]   [Oct]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] slimbus: ngd: QCOM_QMI_HELPERS has to be selected
On Wed, Oct 03, 2018 at 06:52:36PM +0100, Srinivas Kandagatla wrote:
> From: Niklas Cassel <niklas.cassel@linaro.org>
>
> QCOM_QMI_HELPERS is a hidden kconfig, so the proper usage is
> to select it, not depend upon it.
>
> Signed-off-by: Niklas Cassel <niklas.cassel@linaro.org>
> Reviewed-by: Alex Elder <elder@linaro.org>
> Reviewed-by: Bjorn Andersson <bjorn.andersson@linaro.org>
> Signed-off-by: Srinivas Kandagatla <srinivas.kandagatla@linaro.org>
> ---
> drivers/slimbus/Kconfig | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/drivers/slimbus/Kconfig b/drivers/slimbus/Kconfig
> index 9d73ad806698..9cca2c3559f2 100644
> --- a/drivers/slimbus/Kconfig
> +++ b/drivers/slimbus/Kconfig
> @@ -22,8 +22,8 @@ config SLIM_QCOM_CTRL
>
> config SLIM_QCOM_NGD_CTRL
> tristate "Qualcomm SLIMbus Satellite Non-Generic Device Component"
> - depends on QCOM_QMI_HELPERS
> depends on HAS_IOMEM && DMA_ENGINE
> + select QCOM_QMI_HELPERS
> help
> Select driver if Qualcomm's SLIMbus Satellite Non-Generic Device
> Component is programmed using Linux kernel.
> --
> 2.19.0
>

This adds the following build warning when applied:

WARNING: unmet direct dependencies detected for QCOM_QMI_HELPERS
Depends on [n]: ARCH_QCOM && NET [=y]
Selected by [m]:
- SLIM_QCOM_NGD_CTRL [=m] && SLIMBUS [=m] && HAS_IOMEM [=y] && DMA_ENGINE [=y]


\
 
 \ /
  Last update: 2018-10-15 20:33    [W:0.086 / U:2.636 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site